###

#

MutableChannelConcept< T > Struct Template Reference
Channel » Concepts

A channel that allows for modifying its value. More...

`#include <channel.hpp>`

## Public Member Functions

void | constraints ()

## Detailed Description

### template<typename T>
struct boost::gil::MutableChannelConcept< T >

A channel that allows for modifying its value.

concept MutableChannelConcept<ChannelConcept T> : Assignable<T>, Swappable<T> {};

The documentation for this struct was generated from the following file:

- concepts/channel.hpp